<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.dashboard.SaleDashboardView" 
           table="SALE_DASHBOARD_VIEW" 
           catalog="crov_spa"
           mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="driverId" type="string">
            <column name="driver_id" length="36"/>
        </property>
        <property name="taxiId" type="string">
            <column name="taxi_id" length="36"/>
        </property>
        <property name="payDate" type="date">
            <column name="pay_date" length="10" />
        </property>
        <property name="fullName" type="string">
            <column name="full_name" length="103"/>
        </property>
        <property name="payDay" type="double">
            <column name="pay_day"/>
        </property>
        <property name="paySaving" type="double">
            <column name="pay_saving"/>
        </property>
        <property name="accident" type="double">
            <column name="accident"/>
        </property>
        <property name="toCompletePayDay" type="double">
            <column name="to_complete_pay_day"/>
        </property>
        <property name="toCompletePaySaving" type="double">
            <column name="to_complete_pay_saving"/>
        </property>
        <property name="toCompletePayAccident" type="double">
            <column name="to_complete_pay_accident"/>
        </property>
        <property name="totalToPay" type="double">
            <column name="total_to_pay"/>
        </property>
        <property name="totalToPaid" type="double">
            <column name="total_to_paid"/>
        </property>
        <property name="description" type="string">
            <column name="description" length="1000"/>
        </property>
        <property name="garage" type="java.lang.Boolean">
            <column name="garage" sql-type="TINYINT"/>
        </property>
        <property name="nuevaAsignacion" type="java.lang.Boolean">
            <column name="nueva_asignacion" sql-type="TINYINT"/>
        </property>
        <property name="banca" type="java.lang.Boolean">
            <column name="banca" sql-type="TINYINT"/>
        </property>
        <property name="saleStatus" type="string">
            <column name="sale_status" length="10"/>
        </property>
        <property name="idBankCard" type="string">
            <column name="id_bank_card" length="36"/>
        </property>
        <property name="accountNumber" type="string">
            <column name="account_number" length="200"/>
        </property>
        <property name="transfer" column="transfer">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.TransferType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
    </class>
</hibernate-mapping>